Subject: Re: [RRG] Six/One: A (Different) Solution for Routing and Addressingin IPv6

From: marcelo bagnulo braun <[email-masked]>
Date: Mon, 16 Jul 2007 13:50:11 +0200

El 16/07/2007, a las 11:52, Christian Vogt escribió:

>>> Many folks would consider that a benefit.  Hosts within an  
>>> enterprise
>>> need to be managed in a scalable manner, which effectively
>>> necessitates the proxy approach.  This is the same driver that makes
>>> proxy mode for shim6 a pragmatic necessity.   Along with that proxy
>>> mode, it would seem that this would relieve the burden on the  
>>> host of
>>> learning and retaining all of the addresses in its bunch.  This  
>>> would
>>> actually simplify deployment.
>>
>> The alternative approach is that the necessary policy and preference
>> table is automatically distributed to all hosts in the site from
>> a central point; that would of course require overhead in every host
>> (but RFC 3484 already assumes such overhead).
>
> Right.  And in the specific case of Six/One, you may not even need the
> automatic policy/preference distribution.
>
> Given Six/One support on hosts, all the network needs to do to  
> enforce a
> particular provider for a given connection is to write that provider's
> routing prefix in the packets of the connection.  The end hosts will
> recognize the provider change and adopt it -- which also allows for  
> some
> host-internal adaption at the transport and application level for
> ongoing connections.
>

there is still the case for the traffic that is not using the six/one  
protocol,either due to communication with legacy hosts or because it  
just short operations where it is not worth the cost of establishing  
the six/one context (e.g. DNS queries)

Regards, marcelo

> Thus, hosts learn the edge network's policies and preferences
> dynamically.  No need to pre-configure the hosts.
>
> - Christian
>
>
> --
> to unsubscribe send a message to [email-masked] with the
> word 'unsubscribe' in a single line as the message text body.
> archive: <http://psg.com/lists/rrg/> & ftp://psg.com/pub/lists/rrg

--
to unsubscribe send a message to [email-masked] with the
word 'unsubscribe' in a single line as the message text body.
archive: <http://psg.com/lists/rrg/> & ftp://psg.com/pub/lists/rrg